[Android] Bailout if you don't have sysroot

Jean-Baptiste Kempf git at videolan.org
Wed Feb 4 19:55:48 CET 2015


vlc-ports/android | branch: master | Jean-Baptiste Kempf <jb at videolan.org> | Wed Feb  4 19:40:52 2015 +0100| [49fa93acd3634d8fffdc8a1a9966f7b6c834211f] | committer: Jean-Baptiste Kempf

Bailout if you don't have sysroot

> http://git.videolan.org/gitweb.cgi/vlc-ports/android.git/?a=commit;h=49fa93acd3634d8fffdc8a1a9966f7b6c834211f
---

 compile-libvlc.sh |    6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/compile-libvlc.sh b/compile-libvlc.sh
index 54d8aa2..8029440 100755
--- a/compile-libvlc.sh
+++ b/compile-libvlc.sh
@@ -12,6 +12,12 @@ if [ -z "$ANDROID_ABI" ]; then
     exit 1
 fi
 
+if [ -z "$SYSROOT" ]; then
+    echo "Please set the right SYSROOT"
+    exit 1
+fi
+
+
 for i in ${@}; do
     case "$i" in
         release|--release)



More information about the Android mailing list